## Name

SPI_getargtypeid — returns the expected typeid for the specified argument of a plan prepared by `SPI_prepare`

## Synopsis

    Oid SPI_getargtypeid(void * plan, int argIndex)

## Description

`SPI_getargtypeid` returns the Oid representing the type id for the `argIndex`'th argument of a plan prepared by `SPI_prepare`. First argument is at index zero.

## Arguments

`void * `plan``

  execution plan (returned by `SPI_prepare`)

`int `argIndex``

  zero based index of the argument

## Return Value

The type id of the argument at the given index, or `SPI_ERROR_ARGUMENT` if the `plan` is `NULL` or `argIndex` is less than 0 or not less than the number of arguments declared for the `plan`